Package: org.codehaus.groovy.tools.shell.completion

## [Groovy] Class NavigablePropertiesCompleter

- org.codehaus.groovy.tools.shell.completion.NavigablePropertiesCompleter

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `addCompletions(Object instance, String prefix, Set<CharSequence> candidates)` Adds navigable properties to the list of candidates if they match the prefix
    `` | `void` | `addIndirectObjectMembers(Object instance, String prefix, Set<CharSequence> candidates)`
    `` | `static void` | `addMapProperties(Map instance, String prefix, Set<CharSequence> candidates)`
    `` | `void` | `addNodeChildren(Node instance, String prefix, Set<CharSequence> candidates)`
    `` | `void` | `addNodeListEntries(NodeList instance, String prefix, Set<CharSequence> candidates)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### void addCompletions(Object instance, String prefix, Set<CharSequence> candidates)

      Adds navigable properties to the list of candidates if they match the prefix

    - #### void addIndirectObjectMembers(Object instance, String prefix, Set<CharSequence> candidates)

    - #### static void addMapProperties(Map instance, String prefix, Set<CharSequence> candidates)

    - #### void addNodeChildren(Node instance, String prefix, Set<CharSequence> candidates)

    - #### void addNodeListEntries(NodeList instance, String prefix, Set<CharSequence> candidates)